Bug 176566 - Firefox crashes when asked to show some pages
Firefox crashes when asked to show some pages
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Depends On:
  Show dependency treegraph
Reported: 2005-12-26 11:21 EST by Horst H. von Brand
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-10 10:00:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Backtrace of the "hung" firefox process (2.13 KB, text/plain)
2005-12-31 21:27 EST, Bojan Smojver
no flags Details

  None (edit)
Description Horst H. von Brand 2005-12-26 11:21:54 EST
Description of problem:
firefox crashes when accessing http://ars.userfriendly.org/cartoons/?id=20051223

Version-Release number of selected component (if applicable):

How reproducible:
Always with the given page

Steps to Reproduce:
1. firefox http://ars.userfriendly.org/cartoons/?id=20051223
Actual results:
Pango-ERROR **: file basic-fc.c: line 347 (basic_engine_shape): assertion
failed: (face != NULL)

Expected results:
A cartoon ;-)

Additional info:
I have looked at several pages, but this is the only one up to here.
Comment 1 Paul Dickson 2005-12-29 04:45:23 EST
If I download the firefox-1.5 tar file, and run from a user sub-directory, I
have no problems with pages I can't otherwise load.

If I use the RPM, firefox-1.5-3, it exits with "Exit 133" and leaves a core file.

I've seen the PANGO error once or twice, but not every time.

Considering that I don't have this problem with the version from mozilla.org,
this might be a compiler error (or libstdc++).  Has this problem escalated just
this week?  It seems so to me.
Comment 2 Bojan Smojver 2005-12-29 04:59:28 EST
Seeing crashes here too, on random pages, sometimes when trying to do stuff in
Bugzilla. Will try to gather some debugging info and report back.

May be related to bug #176639 (no idea, but saw it in Bugzilla, so it's worth
keeping any eye on it). My language is set to en_AU.UTF-8.
Comment 3 Paul Dickson 2005-12-29 05:29:56 EST
Additional Info:
  Pentium-M notebook:  1.5-3 has no problems
  Pentium II notebook: core dumps

Both systems are up-to-date wrt development.
Comment 4 Paul Dickson 2005-12-29 05:31:56 EST
The Pentium-II notebook was running firefox in safe-mode.
Comment 5 Bojan Smojver 2005-12-29 05:46:39 EST
Forgot to mention, I'm running with SELinux enabled, if that's important (it was
in bug #175275).
Comment 6 Bojan Smojver 2005-12-31 21:18:37 EST
No idea what SIG33 means, but it nevertheless appear to have hung FF for me,
when run with -g option (inside gdb). I have firefox-debuginfo loaded.
Attachement will follow.
Comment 7 Bojan Smojver 2005-12-31 21:27:08 EST
Created attachment 122669 [details]
Backtrace of the "hung" firefox process

No idea if the process is really hung of if it's just terribly slow. I'm
compiling the kernel at the same time and kmalloc debugging is on, so it could
be just very, very slow. Anyhow, I never noticed the SIG33 thingy before, so
I'm reporting it here.
Comment 8 Christopher Aillon 2006-01-04 12:32:43 EST
Does disabling selinux fix the issue?  If so, does updating to
selinux-policy-2.1.6-19 help?
Comment 9 Paul Dickson 2006-01-04 14:44:29 EST
I do not have selinux enabled and the problem occurs.
Comment 10 Bojan Smojver 2006-01-04 18:22:14 EST
I do have SELinux disabled right now due to bug #176839, but I haven't used FF
that extensively to be sure (i.e. it didn't crash yet). Crashes are intermittent
on my system anyway, so it's a bit difficult to replicate...
Comment 11 Bojan Smojver 2006-01-05 06:21:24 EST
Most definitely happens with SELinux disabled too. Just had a crash...
Comment 12 Horst H. von Brand 2006-01-05 12:41:46 EST
Now firefox-1.5-4, everything up to date as of today (20060105), no SELinux.
Crashes reliably with the page I reported originally.
Comment 13 Paul Dickson 2006-01-05 13:42:50 EST
What processors are being used?  I run reliably on a Pentium-M, but my Pentium
II crashes on the same pages.
Comment 14 Bojan Smojver 2006-01-05 16:28:33 EST
I've got a Pentium 4 based Celeron. I'm seeing intermittent crashes only.
Comment 15 Paul Dickson 2006-02-06 19:06:15 EST
firefox-  Can't crash it in the same manner any more.

Unrelated to this bug, but I can crash it with:
Comment 16 Horst H. von Brand 2006-03-09 14:56:28 EST now, doesn't crash with the original page. The crash in #15 seems
unrelated in any case.

BTW, my CPU is a Pentium-M/1500.

Should I close this now?
Comment 17 Bojan Smojver 2006-03-09 20:59:30 EST
I haven't had a crash of FF in a long time as well.
Comment 18 Paul Dickson 2006-03-10 04:57:20 EST
The fix for #15 is scheduled for, which will be released some time in
the next few weeks.  This is unrelated to this bug though.

The original bug was most likely a GCC compiler bug, as the binary from
mozilla.org did not have this problem (#1).  It most likely could have been
fixed before's release, after one of the numerous GCC updates going on
during that period.

I say close it.

Note You need to log in before you can comment on or make changes to this bug.